# luh, 12-13-06
# follows from approach in the Rice et al. work
#
#
cwd.06<-read.table("/usr4/lba/km67_biometry/CWD_2006/cwd.2006.km67.txt", header=T, row.names=NULL)
#
# try to do something to fill in data gaps
#
data.filled<-rep("F",nrow(cwd.06))
bad<-is.na(cwd.06[,"Decomp"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,"Decomposition"]<-trunc(mean(cwd.06[cwd.06[,"size"]=="LT","Decomp"], na.rm=T))
data.filled[bad]<-"T"
bad<-is.na(cwd.06[,"Length"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,"Length"]<-mean(cwd.06[cwd.06[,"size"]=="LT","Decomp"], na.rm=T)
data.filled[bad]<-"T"
bad<-is.na(cwd.06[,"base"]) & is.na(cwd.06[,"furst"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,c("base","furst")]<-rep(cwd.06[bad,"way"], 2)
data.filled[bad]<-"T"
bad<-is.na(cwd.06[,"base"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,c("base")]<-cwd.06[bad,"way"]
data.filled[bad]<-"T"
bad<-is.na(cwd.06[,"furst"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,c("furst")]<-cwd.06[bad,"way"]
data.filled[bad]<-"T"
bad<-is.na(cwd.06[,"way"]) & cwd.06[,"size"]=="LT"
cwd.06[bad,c("way")]<-mean(cwd.06[bad,c("furst", "base")])
data.filled[bad]<-"T"
#
#calculate the volume
#
volume<-rep(NA,nrow(cwd.06))
# length * ( base area + 4 * mid area + top area)/6
# m^3
volume[cwd.06[,"size"]=="LT"]<- (cwd.06[cwd.06[,"size"]=="LT", "Length"]*100 * (
	(pi*(cwd.06[cwd.06[,"size"]=="LT", "base"]/2)^2) +
	(4*pi*(cwd.06[cwd.06[,"size"]=="LT", "way"]/2)^2) +
	(pi*(cwd.06[cwd.06[,"size"]=="LT", "furst"]/2)^2) )/6)/1000000
print(paste("total CWD volume, >30cm = ", round((sum(volume, na.rm=T)/(31*1200))*10000,2), 
	" m^3/ha", sep=""))
#[1] "total CWD volume, >30cm = 85.3 m^3/ha"
# in 2001 it was 97.7 m^3/ha
#
# calculate biomass
#
biomass<-rep(NA,nrow(cwd.06))
keller.decay<-c(0.6, 0.7,.58,.45,.28)	# from Keller et al. 2005 & Rice et al. 2004
for (i in 1:5){
	pick<-cwd.06[,"size"]=="LT" & cwd.06[,"Decomp"]==i
	biomass[pick]<-keller.decay[i] * volume[pick]}
print(paste("total CWD biomass, >30cm = ", round((sum(biomass, na.rm=T)/(31*1200))*10000,2)*0.5, 
	" MgC/ha", sep=""))
#[1] "total CWD biomass, >30cm = 20.2 MgC/ha"
# in 2001 it was 33.9 MgC/ha
#
#
cwd.06<-cbind(cwd.06, data.filled, volume, biomass)
names(cwd.06)<-c(dimnames(cwd.06)[[2]][1:8], "data.filled", "volume.m3", "biomass")
#
#
#errors
#
m<-mean((tapply(cwd.06[cwd.06[,"size"]=="LT","volume"], list(cwd.06[cwd.06[,"size"]=="LT","plot"], 
	cwd.06[cwd.06[,"size"]=="LT","Trans"]), sum)/1200)*10000, na.rm=T)
err<-std.err((tapply(cwd.06[cwd.06[,"size"]=="LT","volume"], list(cwd.06[cwd.06[,"size"]=="LT","plot"], 
	cwd.06[cwd.06[,"size"]=="LT","Trans"]), sum)/1200)*10000)*qt(0.975,31)
print(paste(round(m,1)," m^3/ha (+/- ",round(err,1), " 95% CI)", sep=""))
m<-mean((tapply(cwd.06[cwd.06[,"size"]=="LT","biomass"], list(cwd.06[cwd.06[,"size"]=="LT","plot"], 
	cwd.06[cwd.06[,"size"]=="LT","Trans"]), sum)/1200)*10000*.5, na.rm=T)
err<-std.err((tapply(cwd.06[cwd.06[,"size"]=="LT","biomass"], list(cwd.06[cwd.06[,"size"]=="LT","plot"], 
	cwd.06[cwd.06[,"size"]=="LT","Trans"]), sum)/1200)*10000*.5)*qt(0.975,31)
print(paste(round(m,1)," MgC/ha (+/- ",round(err,1), " 95% CI)", sep=""))	
	



