"allomet" = function(dbh)
{
	# dbh= vector (or scalar) of dbh's (cm)
	# returns matrix (or vector) of biomass estimates:
	#   dim = length(trees) x (4 allometries)
	# same allometries as found in Keller, Palace, & Hurtt manuscript
	#Ma <- 42.69 - 12.8 * dbh + 1.242 * dbh^2 
	#  Brown 1997 - quadratic
	#Mb <- exp(-2.134 + 2.53 * log(dbh)) #  Brown 1997 - exponential
	# Chambers et al 2001, mass in Mg dry weight
	Mc <- (exp(-0.37 + 0.333 * log(dbh) + 0.933 * log(dbh)^2. - 0.122 * log(dbh)^3.))/1000.
}
