"calc.biomass" = function(dbh.t = lba.2000.dbh[, -1.], fbio = allomet, fsum = extrap.bands.sum)
{
	# function 'calc.biomass' :
	# input:
	#  dbh.t =matrix of tree.dbh x times (1st col thru to last col)
	#  fbio= allometry function (takes column of dbh, returns
	#          matrix of biomass, ncol=number of diff allomet)
	#  fsum= function for summarizing all trees from sample
	#        (default= extrap.bands.sum, returns sum per ha)
	# return:
	#   matrix of times x biomass/ha (ncol=# of allomet)
	# dim(bio) = c( length(dbh.t)*Na allomet, Nt times)
	# length(dbh.t) trees * Na allometries collapsed into 1 vector for each time
	bio <- apply(dbh.t, 2., fbio)
	numd <- nrow(dbh.t)
	# number of trees
	# num of allometries (should be integer)
	numa <- dim(bio)[1.]/nrow(dbh.t)
	numt <- ncol(dbh.t)
	# number of timepoints
	# same length as nrow(bio) indicating which allometry each row belongs to
	i.allom <- rep((1.:numa), rep(numd, numa))
	# replicate this, one for each timepoint
	i.allom <- rep(i.allom, numt)
	# length=numd*numa*numt
	#
	i.time <- rep(1.:numt, rep(numd * numa, numt))
	i.dbh <- apply(dbh.t, 1., function(r)
	all(!is.na(r)))
	res <- tapply(as.vector(bio), list(i.time, i.allom), fsum, i.dbh)
	res
}
