dbh.make<-function(calipers, size.ref, init.cal)
{
	#This function was first created by LUH on 1/19/01.
	# This function takes vectors of dendrometer/caliper readings 
	# (as in all the readings for a particular date) and transforms them into DBH.
	#"Calipers" is the vector of readings (mm).
	#"size.ref" is a vector of DBH's (cm) to use when calculating arcs from chords.  
	# These vectors have been created in excel 
	#reflecting any changes that have been made to the band.  
	# Hence, each measurement period has a different vector with references.
	#"init.cal" is a vector of caliper readings (mm) taken at the same time as size.ref.
	# Transform the caliper readings (chord) into an angle, then an arc.
	angle <- 2. * asin(calipers/(size.ref * 10.))
	# Calculate new DBH (cm)
	arc <- (angle * size.ref * 10.)/2.
	DBH <- ((size.ref * pi) + ((arc - init.cal)/10.))/pi
	# After running each measurement period the new measurement should be bound to a year 
	# to date matrix.
	DBH
}
